Combined
API referenceEndpointsAccess

Revoke Grant

Revoke a grant so future access checks deny that capability.

DELETE
/v1/grants/{grantId}

Revoke a grant so future access checks deny that capability.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

grantId*string

Grant UUID.

Formatuuid

Header Parameters

Idempotency-Key*string

Unique key for this mutation and request body.

Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/grants/00000000-0000-4000-8000-000000000005" \  -H "Idempotency-Key: operation-20260816-001" \  -H "Content-Type: application/json" \  -d '{    "accountId": "00000000-0000-4000-8000-000000000001"  }'
{  "data": {    "grantId": "4eda52b3-a1b8-4aae-b545-9c8c3c9c7709",    "revoked": true,    "grantVersion": -9007199254740991  },  "correlationId": "string"}